#include "Dcm.h"
#include "Dcm_Lcfg_DspUds.h"
#include "BswM_CanSM.h"


FUNC(void, OS_CODE) SuspendAllInterrupts(void)
{
}

FUNC(void, OS_CODE) ResumeAllInterrupts(void)
{
}

void BswM_CanSM_CurrentState (NetworkHandleType Network, CanSM_BswMCurrentStateType CurrentState)
{
}

/*--------------------------------------------------------------------------*/
FUNC(void, DET_CODE) Det_ReportError(uint16 ModuleId, uint8 InstanceId, uint8 ApiId, uint8 ErrorId) 
{
    volatile uint8 debug_exit = 0;
    while (debug_exit) {}
}

FUNC(void, DET_CODE) Det_ReportRuntimeError(uint16 ModuleId, uint8 InstanceId, uint8 ApiId, uint8 ErrorId)
{
    volatile uint8 debug_exit = 0;
    while (debug_exit) {}
}
  
/*--------------------------------------------------------------------------*/
FUNC(void,COMM_CODE) ComM_DCM_ActiveDiagnostic(VAR(NetworkHandleType, AUTOMATIC) Channel)
{
}

FUNC(void,COMM_CODE) ComM_DCM_InactiveDiagnostic(VAR(NetworkHandleType, AUTOMATIC) Channel) 
{
}
void Rte_Mode_Dcm_Rp_Mdg2_MDGP_Mdg2 (void)
{
}
void Dem_ReportErrorStatus( Dem_EventIdType EventId, Dem_EventStatusType EventStatus )
{
}
